
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C++第14周项目6——银行系统，真正多用户 / iVAN</title>

    <meta name="description" content="C++第14周项目6——银行系统，真正多用户 课程首页地址:http://blog.csdn.net/sxhelijian/article/details/7910565 [项目6 - 银行系统]我们可以实现真正的多用户银行系统了.在具体业务上,不作多的改变,主要改变在用户管理上: (1)存储用户信息用三个全局数组,并用一个整型全局变量表示当前登录的帐户 const int NUM=5; //暂时支持5个用户,其实,可以很多 int account[NUM]={37001,37002, 37020, 37245,37888}; //帐户 i">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C++第14周项目6——银行系统，真正多用户</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>课程首页地址：<a href="http://blog.csdn.net/sxhelijian/article/details/7910565" rel="external nofollow noreferrer">http://blog.csdn.net/sxhelijian/article/details/7910565</a></p>
<p>【项目6 - 银行系统】我们可以实现真正的多用户银行系统了。在具体业务上，不作多的改变，主要改变在用户管理上：<br />　　（1）存储用户信息用三个全局数组，并用一个整型全局变量表示当前登录的帐户</p>
<pre>const int NUM=5;   //暂时支持5个用户，其实，可以很多
int account[NUM]={37001,37002, 37020, 37245,37888}; //帐户
int pwd[NUM]={123456,654321, 456789, 987654, 234432}; //密码
double balance[NUM]={1000., 300, 23.67, 42.30, 56789}; //余额
int accountIndex; //用全局变量保存当前登录的帐户对应的下标</pre>
<p>　　提示：输入帐户后，在account数组中查找，找不到提示，登录失败；找到后，用accountIndex记住其下标，之后的各种业务中，pwd[accountIndex], balance[accountIndex]是该帐户的相关的信息。<br />　　（2）转帐可以真正实现在两个帐户间的转账了。</p>
<p>参考解答：</p>
<pre>#include&lt;iostream&gt;
using namespace std;
//用全局变量存储各个帐户的相关信息，便于各函数间共享数据（是一种解决办法）
//直接用变量并不是好方案，后面将引入数组解决
//直接在程序中存储并不是好方案，这些信息要存入文件
const int NUM=5;   //暂时支持5个用户，其实，可以很多
int account[NUM]={37001,37002, 37020, 37245,37888}; //帐户
int pwd[NUM]={123456,654321, 456789, 987654, 234432}; //密码
double balance[NUM]={1000., 300, 23.67, 42.30, 56789}; //余额
int accountIndex; //用全局变量保存当前登录的帐户对应的下标
int currentAccount; //用全局变量保存当前登录的帐户

//声明自定义函数
int checkStatus();
int seekUser(int);
void work();
void showbalance();
void drawmoney();
void deposit();
void transferAccounts();
void updatePassword();

int main()
{
	int status;
	char ch;
	cout&lt;&lt;"贺家银行欢迎您光临……（本系统目前只有一个用户，帐号123，初始密码123456）"&lt;&lt;endl;
	while(1)  //支持用户多次登录办理业务
	{
		status=checkStatus();
		if(1==status)
			work();
		else if(2==status)
			cout&lt;&lt;"欢迎下次光临……"&lt;&lt;endl;
		else if(3==status)
			cout&lt;&lt;"请确认帐号后再来……"&lt;&lt;endl;
		else
			cout&lt;&lt;"吞卡，请联系就近网点解决……"&lt;&lt;endl;
		cout&lt;&lt;"=====要退出系统，请按键Q，其他键继续下一位用户登录======"&lt;&lt;endl;
		fflush( stdin );  //清空输入缓冲区，否则getchar()自动获得
		ch=getchar();
		if(ch=='q'||ch=='Q')break;
	}
	return 0;
}

/*检验密码
 *返回值约定:
1 - 用户名、密码正确，可以进一步工作
2 - 用户名放弃登录正常退出
3 - 用户名不对退出
4 - 三次登录失败吞卡后退出
*/
int checkStatus()
{
	int iStatus=4;		//默认吞卡的结局
	int iPass;
	int num=1;
	char goOn;
	cout&lt;&lt;"请输入帐户";
	cin&gt;&gt;currentAccount;  //currentAccount是全局变量
	accountIndex=seekUser(currentAccount);
	if(accountIndex &lt; 0)   //根据seekUser的定义，这表示找不到这个客户
		iStatus=3;
	else
	{

		do
		{
			if(num==1)
				cout&lt;&lt;"请输入密码";
			else
			{
				cout&lt;&lt;"温情提示：这是您第"&lt;&lt;num&lt;&lt;"次输入密码，三次不对将吞卡。"&lt;&lt;endl;
				cout&lt;&lt;"还要继续尝试吗（继续输入Y，退出输入N，之后回车）：";
				cin&gt;&gt;goOn;
				if('Y'==goOn||'y'==goOn)
					cout&lt;&lt;"请再次输入密码";
				else
				{
					iStatus=2; //用户放弃登录
					break;
				}
			}
			cin&gt;&gt;iPass;
			num++;
			if(iPass==pwd[accountIndex])   //帐户
			{
				iStatus=1;  //密码对了
				break;
			}
		}while(num&lt;4);  //密码不正确且次数在允许范围内循环
		//如果在循环因为num==4为真而退出，iStatus的值还保持初始3，代表吞卡
	}
	return iStatus; //返回状态
}	

//查找是否存在这个客户，
//如果存在，返回其对应的下标
//如果不存在，返回-1(查找败)
int seekUser(int iAccount)
{
	int i;
	for(i=0;i&lt;NUM;++i)//用了顺序查找，实际系统中确保account[]有序，进行二分查找
	{
		if(iAccount==account[i])
			break;
	}
	if(i&gt;=NUM)
		i=-1;  //代表找不到这样的用户
	return i;
}
//处理业务
void work()
{
	char cChoice;
	bool bExit = false;
	do
	{
		cout&lt;&lt;endl&lt;&lt;"*  您可以办理下面的业务："&lt;&lt;endl;
		cout&lt;&lt;"*  1.查询"&lt;&lt;endl;
		cout&lt;&lt;"*  2.取款"&lt;&lt;endl;
		cout&lt;&lt;"*  3.存款"&lt;&lt;endl;
		cout&lt;&lt;"*  4.转账"&lt;&lt;endl;
		cout&lt;&lt;"*  5.修改密码"&lt;&lt;endl;
		cout&lt;&lt;"*  0.退出"&lt;&lt;endl;
		cout&lt;&lt;"*  请输入（0-4）：";
		cin&gt;&gt;cChoice;
		switch(cChoice)
		{
		case '1':
			showbalance();
			break;
		case '2':
			drawmoney();
			break;
		case '3':
			deposit();
			break;
		case '4':
			transferAccounts();
			break;
		case '5':
			updatePassword();
			break;
		case '0':
			cout&lt;&lt;"欢迎您下次来存款. "&lt;&lt;endl;
			bExit=true;
		}
	}while(!bExit);
	return;
}

//查询余额
void showbalance()
{
	cout&lt;&lt;"您的当前余额是："&lt;&lt;balance[accountIndex]&lt;&lt;"元"&lt;&lt;endl;
}

//取款
void drawmoney()
{
	double money;
	cout &lt;&lt; "请输入取款金额：";
	cin &gt;&gt; money;
	//下面不计利息了，从现在起，我们的银行只提供银行卡业务，是定期统一计息的
	if(money&lt;=balance[accountIndex])
	{
		balance[accountIndex]-=money; //取款成功
		cout&lt;&lt;"取款后，您的余额是："&lt;&lt;balance[accountIndex]&lt;&lt;"元。"&lt;&lt;endl;
	}
	else
	{
		cout&lt;&lt;"您的余额不足，取款失败。"&lt;&lt;endl;
	}
}
//存款
void deposit()
{
	double money;
	cout &lt;&lt; "请输入存款金额：";
	cin &gt;&gt; money;
	//下面不计利息了，从现在起，我们的银行只提供银行卡业务，是定期统一计息的
	balance[accountIndex]+=money; //取款成功
	cout&lt;&lt;"存款后，您的余额是："&lt;&lt;balance[accountIndex]&lt;&lt;"元。"&lt;&lt;endl;
}

//转帐
void transferAccounts()
{
	double money;
	int iAccount2,iAccount2Index;
	cout &lt;&lt; "请输入转帐金额：";
	cin &gt;&gt; money;
	if(money&gt;balance[accountIndex]) //本行不透支，不能转账
	{
		cout&lt;&lt;"您的余额不足，转账失败。"&lt;&lt;endl;
	}
	else
	{
		cout &lt;&lt; "请输入对方帐户：";
		cin &gt;&gt; iAccount2; //应该判断对方帐户的有效性再转账，暂时不做，待以后改进
		iAccount2Index=seekUser(iAccount2);
		if(iAccount2Index==-1)
			cout&lt;&lt;"对方帐号输入错误，转账失败。"&lt;&lt;endl;
		else
		{
			balance[accountIndex]-=money; //从己方转出
			balance[iAccount2Index]+=money; //转给对方
			//此处应该为对方帐户增加余额，暂时略
			cout&lt;&lt;"转账后，您的余额是："&lt;&lt;balance[accountIndex]&lt;&lt;"元，对方余额为"&lt;&lt;balance[iAccount2Index]&lt;&lt;"元。"&lt;&lt;endl;
			//实际系统中不似上行那样提示，暴露信息太多了。
		}
	}
}			

void updatePassword()
{
	int p1,p2;
	cout &lt;&lt; "请输入新密码：";
	cin &gt;&gt; p1;
	cout &lt;&lt; "请确认新密码：";
	cin &gt;&gt; p2;
	if(p1==p2)//两次输入相符
	{
		pwd[accountIndex]=p1;
		cout&lt;&lt;"密码修改成功！"&lt;&lt;endl;
	}
	else
	{
		cout&lt;&lt;"两次输入不一致，密码修改失败。"&lt;&lt;endl;
	}
}</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 21:02:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/account/" title="account">account</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C++第14周项目6——银行系统，真正多用户的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdv40Nb.html" rel="bookmark">C&plus;&plus;第14周项目6&mdash;&mdash;银行系统，用文件永久存储</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课程首页地址:http://blog.csdn.net/sxhelijian/article/details/7910565 [项目6 - 银行系统]我们可以实现真正的多用户银行系统了.在具体业务上,不作多的改变,主要改变在用户管理上: (1)存储用户信息用三个全局数组,并用一个整型全局变量表示当前登录的帐户 const int NUM=5; //暂时支持5个用户,其实,可以很多 int account[NUM]={37001,37002, 37020, 37245,37888}; //帐户 i			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEK1yZp.html" rel="bookmark">C&plus;&plus;第13周项目5&mdash;&mdash;银行系统支持多用户（v0&period;3）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课程首页地址:http://blog.csdn.net/sxhelijian/article/details/7910565 说明:此项目是为未学习数组的同学拟出的,目的是让他们对&quot;工程&quot;有所体验.一些实现并不是最佳的,请参考后续的题目 [项目5任务3]补充功能,使银行更职业一些 1.支持多个用户 用变量account1以及pwd1分别表示客户和他的密码,balance1表示这两个用户的余额(开始靠近真的银行了,得为多个用户服务,此任务完成后,将来改造成多个用户的.学习了数组,我们会有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgR2yBb.html" rel="bookmark">C&plus;&plus;第14周项目5&mdash;&mdash;字符串统计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课程首页在:http://blog.csdn.net/sxhelijian/article/details/11890759 [项目5-字符串统计]阅读下面的程序,完成类似的功能 #include&lt;iostream&gt; #include&lt;cstdio&gt; using namespace std; int main() { char str[50]; int i=0,n=0; cout&lt;&lt;&quot;输入字符串:&quot;; gets(str); while(str[i]!			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLd4qvp.html" rel="bookmark">C&plus;&plus;第14周项目5&mdash;&mdash;涨工资了</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课程首页地址:http://blog.csdn.net/sxhelijian/article/details/7910565 [项目5 - 涨工资了 ]从文件salary.txt中读入500名工人的工资,全部增加100元后进行排序(好事,涨工资了:坏事,排序不要用冒泡,用选择法),将排序后的结果在屏幕上输出,并保存到文件ordered_salary.txt中.(salary.txt中内容可以从本文后面复制,自建文本文件.) 提示:做第11周项目5,学习对文件的操作. #include &lt;fstr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLgPXkM.html" rel="bookmark">2013-C&plus;&plus;第14周项目参考解答链接集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课程首页在:http://blog.csdn.net/sxhelijian/article/details/11890759 [项目1 - 数组大折腾] 将所有元素值加倍后保存在数组中,最后由前往后输出数组中所有元素的值,再由后往前输出数组中所有元素的值,再输出数组中的所有大于100的数,以及下标为3的倍数的元素值. (1)创建一个长度为20的整型数组,通过初始化,为数组中的前10个元素赋初值,然后通过键盘输入后10个元素的值,从前往后(从第0个到第19个)输出数组中元素的值,每5个元素换一行.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRv3Bz.html" rel="bookmark">2014秋C&plus;&plus;第14周项目5参考-体会棋盘游戏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课程主页在http://blog.csdn.net/sxhelijian/article/details/39152703,课程资源在云学堂&quot;贺老师课堂&quot;同步展示,使用的帐号请到课程主页中查看.  [项目5-体会棋盘游戏中的数据存储]定义一个8行8列的二维数组a[8][8].(1)为二维数组中的数据赋50以内的随机数(程序模板中setdata()函数已经完成,利用产生随机数的系统函数实现),可能的取值如图所示:(2)设计函数out()按行输出二维数组中的数据:(3)设计函数outDia			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRkX3z.html" rel="bookmark">C&plus;&plus;第13周项目5&mdash;&mdash;银行系统用函数组织（v0&period;2）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课程首页地址:http://blog.csdn.net/sxhelijian/article/details/7910565 说明:此项目是为未学习数组的同学拟出的,目的是让他们对&quot;工程&quot;有所体验.一些实现并不是最佳的,请参考后续的题目 [项目5任务2]引入函数改善程序结构 1.在输入密码环节,实现有限次密码输入的限制,如果三次都没有输入正确,程序将直接退出,不允许用户继续操作. 查验密码功能做成一个函数.例如: bool pass() { bool 密码不正确=true; //先假设			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK5lEWp.html" rel="bookmark">2013级C&plus;&plus;第14周项目&mdash;&mdash;一维数组、字符数组</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课程首页在:http://blog.csdn.net/sxhelijian/article/details/11890759 [项目1 - 数组大折腾] 将所有元素值加倍后保存在数组中,最后由前往后输出数组中所有元素的值,再由后往前输出数组中所有元素的值,再输出数组中的所有大于100的数,以及下标为3的倍数的元素值. (1)创建一个长度为20的整型数组,通过初始化,为数组中的前10个元素赋初值,然后通过键盘输入后10个元素的值,从前往后(从第0个到第19个)输出数组中元素的值,每5个元素换一行.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlm6xqp.html" rel="bookmark">2014秋C&plus;&plus; 第14周项目 二维数组</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课程主页在http://blog.csdn.net/sxhelijian/article/details/39152703,课程资源在云学堂&quot;贺老师课堂&quot;同步展示,使用的帐号请到课程主页中查看.  [项目1-折腾二维数组]创建一个5行4列的二维整型数组,通过初始化,为数组中的前两列的10个元素赋初值,然后: 通过键盘输入,使后两列的10个元素获得值: 按行序优先输出数组元素: 将所有元素值乘以3后保存在数组中: 按列序优先输出(输出的第一行是数组中的第一列--,其实输出的就是&quot			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY0eZb.html" rel="bookmark" class="title">Exchange Server 2007 LCR介绍</a>
					<div>
						Microsoft Exchange Server 2007已经发布一段时间了,和以前的exchange版本相比在高可用性方面有了很大的改进.最主要的体现莫过于LCR(Local Continuous ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgqwOz.html" rel="bookmark" class="title">一个分页的类</a>
					<div>
						分页 &lt;%'-------------------------------------------' 接口:' 属性:' a.tip:项目提示(如,&quot;篇文章&quot;):' b.ta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnlGZb.html" rel="bookmark" class="title">FlexGrid控件的使用（一）</a>
					<div>
						Hierarchical FlexGrid与分层结构的Recordset将Hierarchical FlexGrid和一个分层结构的Recordset结合起来可以查看关系类型的信息.在将这些信息显示给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2Reep.html" rel="bookmark" class="title">如何解决bash&colon; sqlplus&colon; command not found问题</a>
					<div>
						需要使用sqlplus连接数据库,sqlplus没配好: [root@ls4201 ~]# sqlplus -bash: sqlplus: command not found 解决方法是: 1, 拷贝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK5Qvp.html" rel="bookmark" class="title">在Visual C&num;中用ListView显示数据记录</a>
					<div>
						如果要你在程序中显示数据库中的数据记录,你首先想用的显示工具肯定是DataGrid.当然用DataGrid显示数据记录是一种既常用又简单的方法.但是在程序控制方面,它却无法那么随心所欲.本文就是介绍另 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLoQ2b.html" rel="bookmark" class="title">对象继承结构到设计数据表方式谈</a>
					<div>
						引言 面向对象的三个特征: 封装(encapsulation), 继承(inheritance), 多态(polymorphic), 其中继承是我们三个特征中最重要的应该就是继承了. 我们在程序中可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPALGM.html" rel="bookmark" class="title">Photoshop如何让照片变的干净</a>
					<div>
						Photoshop如何让照片变的干净   通过这个问题,我来分享两个有趣的知识:为什么有的照片看起来很干净?如何确定一张照片的主色调,首先我们来看第一个问题:为什么有的照片看起来很干净? 一张照片看起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A7Wmp.html" rel="bookmark" class="title">在PHP使用json</a>
					<div>
						Json 做为一种轻量级的数据交换格式,开始受到亲睐,有与 XML 抢地盘的风头.而让人高兴的是,php也把 json 序列化数据的功能内置成函数了,这让想使用json的 PHPCoder 备感方便. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN9XAb.html" rel="bookmark" class="title">深入C&plus;&plus; 函数映射的使用详解</a>
					<div>
						我比较喜欢用代码结合实际来讲解,下面我将以一段事例代码来讲解如何使用这几种映射   想想我们在遇到多语句分支时是不是首先想到的是 switc case 和 if else if ... 这2种方式在编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6r0dz.html" rel="bookmark" class="title">wps怎么在方框里打钩</a>
					<div>
						  1.首先我们打开WPS中的文字,进入&quot;插入&quot;菜单,点击&quot;符号&quot;的下拉菜单选择&quot;其他符号&quot; 2.然后我们进入符号&quot;对话框&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGnlap.html" rel="bookmark" class="title">js格式化时间和js格式化时间戳示例</a>
					<div>
						 这篇文章主要介绍了js格式化时间和js格式化时间戳示例,需要的朋友可以参考下  代码如下: /**  * 时间对象的格式化;  */ Date.prototype.format = function ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1kWWb.html" rel="bookmark" class="title">安装打印机驱动找不到unidrv&period;hlp补丁</a>
					<div>
						如果出现unidrv.hlp补丁找不到,说明文件被丢失或者损坏的情况,那么必须重新下载unidrv.hlp补丁文件,unidrv.hlp下载完成后,然后将其拷贝到路径C:WINDOWSDriver C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwO6lb.html" rel="bookmark" class="title">狸窝全能视频转换器如何把两段视频合并在一起</a>
					<div>
						  步骤1:首先用户需要下载安装狸窝全能视频转换器,运行打开后请点击界面菜单上的&quot;添加视频&quot;功能按钮,选择导入需要合并的两段视频文件. 步骤2:然后用户可以通过上移或下移键来调整文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArNWAp.html" rel="bookmark" class="title">cgroup子系统2&lowbar;devices子系统</a>
					<div>
						devices子系统用于控制cgroup中所有进程可以访问哪些设备,三个控制文件:devices.allow,devices.deny,devices.list. devices.allow用于指定c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPlErp.html" rel="bookmark" class="title">fetch-求解 char &ast; 类型的实参与LPCWSTR类型的形参不兼容</a>
					<div>
						问题描述 求解 char * 类型的实参与LPCWSTR类型的形参不兼容 MYSQL_ROW row=NULL; row=mysql_fetch_row(res); while(row!=NULL)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAeB6M.html" rel="bookmark" class="title">移动入口多元化：互联网大佬梯度布局</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 与PC互联网相比,移动互联网的入口更多元,互联网大佬们开始从梯度的角度布局入口,而不是单一应用布局入口. 10月8日,360手机助手推出了&quot;管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA71avz.html" rel="bookmark" class="title">切客-这个 题的选项解释一下，我不知道考什么&quest;</a>
					<div>
						问题描述 这个 题的选项解释一下,我不知道考什么? strust{char mark[12];int nual;double num2;}t1t2;哪一个选项是错的?A t1=t2; B t2.num ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPd00p.html" rel="bookmark" class="title">黑莓：公司不会放弃物理全键盘</a>
					<div>
						物理全键盘一直是黑莓的标志 北京时间7月8日消息,据科技网站TechRadar报道,本周,陷入困境的黑莓宣布旗下全键盘产品Classic停产,这条新闻可是一石激起千层浪,许多喜欢物理全键盘的用户直接火 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR4wBb.html" rel="bookmark" class="title">对象-JAVA中有关类的一个基础问题</a>
					<div>
						问题描述 JAVA中有关类的一个基础问题 父类Father和子类Son,父类中有一个方法A,在子类中也定义了一模一样的一个方法A(具有与老方法相同的方法签名),那么在子类中那个A自然会把父类中的A给覆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKqRXb.html" rel="bookmark" class="title">NASA曾公布了登月计划制导系统的源码</a>
					<div>
						摘要: 阿波罗11号登月40周年时,NASA曾公布了登月计划制导系统的源码.代码在当时是非常先进的东西,时至今日,NASA开发的软件仍然是最前沿的.现在,NASA的许多软件将可面向公众使用,任 阿波罗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK5vNb.html" rel="bookmark" class="title">PHP 文件系统详解&lowbar;php基础</a>
					<div>
						文件处理函数 1.文件操作. 打开文件: 打开指定的文件时会返回相应的对象,若不存在指定的文件,那麽可能会自动创建这个文件. resource fopen(string filename,string ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq3ywp.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;2&period;31 跨环境抽象（Abstracting Across Environments）</a>
					<div>
						2.31 跨环境抽象(Abstracting Across Environments) 人工智能领域的一个长期目标是实现人工通用智能,一个单一的学习程序可以同时在完全不同的领域进行学习和行动,可以转换 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJn9vp.html" rel="bookmark" class="title">集成IOS2&period;x时候&comma;发送消息能走到didSendMessage这个方法&comma;但是显示连接服务器超时&comma;错误代码为405&comma;请问一下这个是由什么造成的&quest;</a>
					<div>
						问题描述 解决方案 当前网络如何,ping  a1.easemob.com 看一下结果解决方案二:这个是我ping 之后的截图解决方案三:你QQ留一下,联系你					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyPD2z.html" rel="bookmark" class="title">c-C 语言  按行读txt，存储到数组并查询</a>
					<div>
						问题描述 C 语言 按行读txt,存储到数组并查询 txt如下: ZQ112101 刘诚明 ZQ112102 刘磊 ZQ112103 刘义峥 ZQ112104 朱冠虞 ZQ112105 朱志阳 ZQ1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgkBkM.html" rel="bookmark" class="title">IBM助力Baxter&lpar;百特&rpar;ISO文件管理效率提高70&percnt;</a>
					<div>
						Baxter(百特)公司于 1931年在美国成立,经过六十多年的发展,百特公司已成为一个经营多种http://www.aliyun.com/zixun/aggregation/18608.html&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22oGvb.html" rel="bookmark" class="title">光大回应H股上市进程：还在与内地监管机构沟通</a>
					<div>
						昨日(4月14日),相关媒体引述知情人士的报道称,光大银行将于4月底前,提交赴中国香港上市的申请,可能在未来数月通过中国香港首次公开募股(IPO)筹资约70亿美元,料今年第三季度上市. 对此,光大银行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEKjmz.html" rel="bookmark" class="title">国泰君安IPO倒计时：华安基金摘牌悬疑未解 定位全能投行</a>
					<div>
						上海国资改革牵一发而动全身.就在国泰君安收购上海证券一事并未完全明朗之时,外界仍执着于报价40亿和60亿之争,3月19日市场又传出国泰君安将控股华安基金的消息.国泰君安紧锣密鼓为IPO铺路. 据接近上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NVoBb.html" rel="bookmark" class="title">基于jquery的滚动新闻列表&lowbar;jquery</a>
					<div>
						呵呵,效果图如下: 列表_jquery-jquery新闻列表滚动&quot;&gt;  ps:gif做的不是很好,大家将就一下吧,呵呵. 下面来看代码: 复制代码 代码如下: &lt;div clas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jqAdp.html" rel="bookmark" class="title">C&plus;&plus;获取当前进程IAT的方法&lowbar;C 语言</a>
					<div>
						本文实例讲述了C++获取当前进程IAT的方法,分享给大家供大家参考. 具体实现方法如下: 复制代码 代码如下: #include &lt;windows.h&gt; #include &lt;stdi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ171wb.html" rel="bookmark" class="title">客如云最初是一套针对B端商户的客户管理系统</a>
					<div>
						如今该系统已全面深入商家的整个服务链条,提供的SaaS服务覆盖预订管理.排队.点菜.外卖.收银.会员.营销等环节.消费者通过被改造后的商家公众账号实现网上排号.点菜.支付,店员则通过平板完成消息处理. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
